summaryrefslogtreecommitdiffstats
path: root/office/wordgrinder
diff options
context:
space:
mode:
author Dimitris Zlatanidis <d.zlatanidis@gmail.com>2018-12-07 23:44:45 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-12-07 23:44:45 +0700
commit1e3b972ba5c917571212d44c468a70ef8694e31e (patch)
tree1c2303d0e0e822273f53a6cb4037a1e83094722b /office/wordgrinder
parent8d5f840fa0bc3101f7ad4647fef0e25b59a37706 (diff)
downloadslackbuilds-1e3b972ba5c917571212d44c468a70ef8694e31e.tar.gz
slackbuilds-1e3b972ba5c917571212d44c468a70ef8694e31e.tar.xz
office/wordgrinder: Added (A word processor for processing words).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'office/wordgrinder')
-rw-r--r--office/wordgrinder/README7
-rw-r--r--office/wordgrinder/doinst.sh9
-rw-r--r--office/wordgrinder/slack-desc19
-rw-r--r--office/wordgrinder/wordgrinder.SlackBuild100
-rw-r--r--office/wordgrinder/wordgrinder.desktop8
-rw-r--r--office/wordgrinder/wordgrinder.info10
6 files changed, 153 insertions, 0 deletions
diff --git a/office/wordgrinder/README b/office/wordgrinder/README
new file mode 100644
index 0000000000..edb1b46738
--- /dev/null
+++ b/office/wordgrinder/README
@@ -0,0 +1,7 @@
+WordGrinder is a simple, Unicode-aware word processor that runs on the
+console. It's designed to get the hell out of your way and let you write;
+it does very little, but what it does it does well.
+
+It supports basic paragraph styles, basic character styles, basic screen
+markup, a menu interface that means you don't have to remember complex
+key sequences, HTML import and export, and some other useful features.
diff --git a/office/wordgrinder/doinst.sh b/office/wordgrinder/doinst.sh
new file mode 100644
index 0000000000..65c7e2eeb9
--- /dev/null
+++ b/office/wordgrinder/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/office/wordgrinder/slack-desc b/office/wordgrinder/slack-desc
new file mode 100644
index 0000000000..364d5c2df0
--- /dev/null
+++ b/office/wordgrinder/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+wordgrinder: wordgrinder (A word processor for processing words)
+wordgrinder:
+wordgrinder: WordGrinder is a simple, Unicode-aware word processor that runs on
+wordgrinder: the console. It's designed to get the hell out of your way and let
+wordgrinder: you write; it does very little, but what it does it does well.
+wordgrinder:
+wordgrinder: Homepage: https://cowlark.com/wordgrinder/
+wordgrinder:
+wordgrinder:
+wordgrinder:
+wordgrinder:
diff --git a/office/wordgrinder/wordgrinder.SlackBuild b/office/wordgrinder/wordgrinder.SlackBuild
new file mode 100644
index 0000000000..d9b19328cc
--- /dev/null
+++ b/office/wordgrinder/wordgrinder.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for wordgrinder
+
+# Copyright 2018 Dimitris Zlatanidis Orestiada, Greece
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=wordgrinder
+VERSION=${VERSION:-0.7.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Fix of paths for Slackware
+sed -i '7s!$(HOME)!'$PKG'/usr!' Makefile
+sed -i 's!share\/!!' Makefile
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/share/applications
+install -D -m644 $CWD/$PRGNAM.desktop $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/usr/share/pixmaps/
+install -D -m644 extras/icon.png $PKG/usr/share/pixmaps/${PRGNAM}.png
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/wordgrinder/wordgrinder.desktop b/office/wordgrinder/wordgrinder.desktop
new file mode 100644
index 0000000000..0c75cfee95
--- /dev/null
+++ b/office/wordgrinder/wordgrinder.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=WordGrinder
+Comment= A word processor for processing words
+Exec=xwordgrinder
+Icon=wordgrinder
+Terminal=false
+Type=Application
+Categories=Office;
diff --git a/office/wordgrinder/wordgrinder.info b/office/wordgrinder/wordgrinder.info
new file mode 100644
index 0000000000..24ccfcdce3
--- /dev/null
+++ b/office/wordgrinder/wordgrinder.info
@@ -0,0 +1,10 @@
+PRGNAM="wordgrinder"
+VERSION="0.7.2"
+HOMEPAGE="https://cowlark.com/wordgrinder/"
+DOWNLOAD="https://github.com/davidgiven/wordgrinder/archive/0.7.2/wordgrinder-0.7.2.tar.gz"
+MD5SUM="4c754fddfe29c2038a1c96d38ba49c74"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="ninja lua52 lua-filesystem"
+MAINTAINER="Dimitris Zlatanidis"
+EMAIL="d.zlatanidis@gmail.com"